#!/bin/bash
cd $(dirname $0)

echo Compilation of HelloWorld

cd ..

if [ ! -f nomoTools ]
then
    bash build.sh
fi

export LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH

./nomoTools -link ./helloworld/HelloWorld.uni
./nomoTools -encode ./helloworld/HelloWorld.lnk
./nomoTools -compile ./helloworld/HelloWorld.cod

cd helloworld

rm -f HelloWorld.lnk
rm -f HelloWorld.cod
